package siprp.update.updates;

import siprp.higiene.gestao.importacao.Importador;

import com.evolute.module.updater.AbstractUpdate;
import com.evolute.utils.db.Executer;

public class V11_1_To_V11_2 extends AbstractUpdate
{
	
	public V11_1_To_V11_2()
	{
		super(11.1,11.2,"Higiene e seguranca: a repor datas de submissao dos relatorios");
	}
	
	public void doUpdate() throws Exception
	{
		Executer executer = getExecuter();
		com.evolute.utils.sql.Update update = 
			new com.evolute.utils.sql.Update( "update hs_relatorio set is_submetido = null;" );
		executer.executeQuery( update );
		new Importador( executer ).importar();
	}
	
}
